#ifndef WAPLREADER_H
#define WAPLREADER_H

#include "WAVReader.h"

class CWAPLReader :
	public CWAVReader
{
public:
	CWAPLReader(CReader *Owner, CBaseCommunication *Communicator);
	virtual ~CWAPLReader(void);
protected:
	virtual void SetHWString(char *String);
	virtual void GetProductString(uint8_t *Product);

};

#endif
